Last Comment Bug 394849 - trust junk mail does not work and the scrollbar window appears to be smaller
: trust junk mail does not work and the scrollbar window appears to be smaller
Status: RESOLVED FIXED
: fixed-seamonkey1.1.5, fixed1.8.1.8, regression
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: SeaMonkey 1.1 Branch
: x86 Windows XP
: -- major (vote)
: ---
Assigned To: Frank Wein [:mcsmurf]
: installer
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 02:08 PDT by zetka
Modified: 2007-09-11 23:25 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
a view to the setting window with wrong dimension (179.31 KB, image/jpeg)
2007-09-04 02:10 PDT, zetka
no flags Details
Patch for 1.8 branch (1.43 KB, patch)
2007-09-04 08:26 PDT, Frank Wein [:mcsmurf]
no flags Details | Diff | Splinter Review
Better patch (1.50 KB, patch)
2007-09-04 11:02 PDT, Frank Wein [:mcsmurf]
standard8: review+
kairo: approval‑seamonkey1.1.5+
Details | Diff | Splinter Review

Description zetka 2007-09-04 02:08:36 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.6) Gecko/20070802 SeaMonkey/1.1.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.6) Gecko/20070802 SeaMonkey/1.1.4

Having SeaMonkey 1.1.1.5, tried to activate function "Trust junk mail headers", but:
1. the scrolled window is smaller in height than the window for "Collected Adresses"
2. When clicking on that scrol window, nothing offers (I awaited SpamAssasin or similar choose for headers)
3. I have tested both GUI windows settings of font size, it happens for boths. 


Reproducible: Always

Steps to Reproduce:
1. olen mail and newsgroup settings, junk settings
2. looking right from Trust mail headers, the scroll window is about 50% in height
3.clicking on its arrow- nothing is offered.
Actual Results:  
the function does not work or I am not able to activate it, the srollbar window is smaller in height in comparsion to the window "do not mark mail.." above.

Expected Results:  
In the window set by I await to have some possibility to choose an external antispam program, such as spamassasin.
Comment 1 zetka 2007-09-04 02:10:28 PDT
Created attachment 279567 [details]
a view to the setting window with wrong dimension

the height of the trust window is smaller, nothing offered, only white.
Comment 2 Mark Banner (:standard8, afk until Dec) 2007-09-04 05:50:05 PDT
I haven't confirmed this yet, but looks like a regression from bug 368074, so requesting blocking SM 1.1.5.

We're not packaging the SpamAssasin files from the bin/isp folder (we're currently trying to get package them in the bin/defaults/messenger directory) which is what I would expect to give the problem shown in the attached image.
Comment 3 zetka 2007-09-04 06:25:13 PDT
Maybe I am wrong or not fully understanding, but in my SeaMonkey even in its directory tree or in the Documents folder, there is no bin/messenger directory, the SpamAssain.sfd could be found in the Documents folder /Default User/xxxxxxx directory, where is the whole profile.
Comment 4 Frank Wein [:mcsmurf] 2007-09-04 08:26:25 PDT
Created attachment 279609 [details] [diff] [review]
Patch for 1.8 branch
Comment 5 zetka 2007-09-04 09:25:07 PDT
IFrank,
I am a newbie, without help or point how to instal the given file I am not able to test it. I do not know 1.8 branch, is it for sea monkey and Win XPs? 
I have Sea monkey 1.1.4 (sorry for 1.1.5, it was futuristc..) as stated above.
Regards,
pronajem
Comment 6 Frank Wein [:mcsmurf] 2007-09-04 11:02:04 PDT
Created attachment 279624 [details] [diff] [review]
Better patch
Comment 7 Mark Banner (:standard8, afk until Dec) 2007-09-04 11:16:58 PDT
Comment on attachment 279624 [details] [diff] [review]
Better patch

r=me, though we should make sure we verify this in tomorrow's nightlies as well.
Comment 8 Robert Kaiser 2007-09-04 12:13:40 PDT
Comment on attachment 279624 [details] [diff] [review]
Better patch

looks good enough for the stable branch - given it works :)
a=me for 1.1.5
Comment 9 Frank Wein [:mcsmurf] 2007-09-04 13:55:57 PDT
pronajem.garsonka: You can download from http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/latest-mozilla1.8/ tomorrow a new build to test if this bug is then fixed for you (these builds are the SeaMonkey 1.1.x development line). It should be.

Checked in:
Checking in xpinstall/packager/packages-win;
/cvsroot/mozilla/xpinstall/packager/Attic/packages-win,v  <--  packages-win
new revision: 1.291.4.9; previous revision: 1.291.4.8
done
Checking in xpinstall/packager/packages-unix;
/cvsroot/mozilla/xpinstall/packager/Attic/packages-unix,v  <--  packages-unix
new revision: 1.311.4.12; previous revision: 1.311.4.11
done
Comment 10 zetka 2007-09-05 00:46:15 PDT
I have downloaded and installed the 1.1.5pre version from the FTP, verified, that it is correctly installed, but the Trust window seems the same as before, no changes, smaller size. Tried to choose something from the scroll menu, nothing happens, nothing is offered.
I have looked at the 1.1.4 at home, the above bug is there too.
Any idea what to do, or maybe some corrupted files on my side?
Regards,
pronajem.
Comment 11 Frank Wein [:mcsmurf] 2007-09-05 01:46:38 PDT
Should I have said "and look at the date, too" ;-)? The date behind the files there is still "04-Sep-2007". Download when it is 05-Sep-2007, should happen in a few hours ;-).
Comment 12 zetka 2007-09-05 02:04:46 PDT
Fine, I will look at the date. Maybe one comment (or point to wishlist)- from the philosophical point of view I would reccomend following. As far as most of us are bombed every day with lots of spam, the internal Junk mail filter even trained is not enough, and in my case quite often making errors. The possibility to move manually email to junk works only if the internal Junk mail adaptive control is working.
I would reccomend to let the marking/moving manually function to work independently if the adaptive control is switched on or off. The antispam programs like assasin work much more efficiently than the small Bayesian.But that is a longer story.
Regards,
Comment 13 Robert Kaiser 2007-09-05 05:59:52 PDT
Functionality changes can not be done in SeaMonkey 1.1.x and should be filed as separate bugs which developers may be able to look into for newer versions, like SeaMonkey 2. 
Comment 14 Frank Wein [:mcsmurf] 2007-09-06 06:04:00 PDT
I tested this with a build from the ftp server and this seems to work, resolving as FIXED again.
Comment 15 zetka 2007-09-06 06:44:00 PDT
I confirm the change and the appearance of the SpamAssasin in the window and changing its size too. 
But concerning the function point of view, I am not very sure if it works (and how), because although we use the spamaassasin  and there is an visible entry in the message header, but the mail was not recognized and not marked. As I have said before, I am using the soft only and if its not necessary, I do not go deep in the documentation (if exists) but in Mozilla- Sea Monkey some information (how-to's) are missing, in help sure. If somebody can point me to the source, how and where must be in the header the entry and its form for SpamAssasin to activate the trust mail header, it can be very helpful, because without that it is only a half work done I think.
So that is from my side, thanks for the updating.
Comment 16 Frank Wein [:mcsmurf] 2007-09-11 12:24:26 PDT
zetka: Are you using POP3 or IMAP? I tried with IMAP here and moving to Junk folder (mark as junk) also does not seem to work here (I added a X-Spam-Status: Yes header to test this) with 1.1.5pre. On trunk it does work though. Someone else reported that mark as junk does work though for him with 1.1.4 and POP3.
Comment 17 zetka 2007-09-11 23:25:52 PDT
In my case I am using POP3, but because the headers of the SpamAssasin on our server are looking different, I had to change the content of the filter to match the our entries, but I am really not sure due to the filtering, what triggered.

Concerning how it works I have the feeling, that if I have not active the "Enable adaptive....", than the Trust mail headers does not work. If I activate it, the internal Junk filter is making errors (rate about 1/50), so I have made custom filter to read our SpamAssasin headers and leave it. In case that there will be no way to stop the internal Bayesian filter, but to have "Trust junk... " and "Automaticaly delete" active. 
In other case I think it is not usefull.

A one thing could be very usefull. Into the message filter tools, into the actions, there could be a very good helping thing to have a possibility to add into the email header or similar some entry, where will be marked which filter the message triggered and moved it, similarly líke the external antispams do. 
So I am not sure if it helps, I can test it tomorrow, every day I have about 50-100 spams, so I disable the filters and try it.
Regards, zetka.

Note You need to log in before you can comment on or make changes to this bug.